#include<bits/stdc++.h>
using namespace std;
int main(){
long long light;
int YesNo=0;
cin>>light;
int sedmici=0,edinici=0;
if(light%2!=0){
    edinici=(light-1)/2-1;
    sedmici=1;
}else{
    if(light!=1){
        edinici=light/2;
    }
}
for(int i=0;i<sedmici;i++){
    cout<<"7";
    YesNo=1;
}
for(int i=0;i<edinici;i++){
    cout<<"1";
    YesNo=1;
}
if(YesNo==0){
    cout<<"-1";
}
cout<<endl;
return 0;
}
